#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp var_n_x=0; 
   jsp var_Tin=0; 
   jsp var_b2=0; 
   jsp var_FbinMin=0; 
   jsp var_FbinMax=0; 
   jsp var_TwMin=0; 
   jsp var_TwMax=0; 
   jsp par_TwCur=0; 
   jsp par_FbinCur=0; 
   jsp par_TMin=0; 
   jsp par_FinalTime=0; 
   jsp var_X1=0; 
   jsp der_var_X1=0; 
   jsp var_X2=0; 
   jsp der_var_X2=0; 
   jsp var_X3=0; 
   jsp der_var_X3=0; 
   jsp var_X4=0; 
   jsp der_var_X4=0; 
   jsp var_X5=0; 
   jsp der_var_X5=0; 
   jsp var_X6=0; 
   jsp der_var_X6=0; 
   jsp var_X7=0; 
   jsp der_var_X7=0; 
   jsp var_X8=0; 
   jsp der_var_X8=0; 
   jsp var_X9=0; 
   jsp der_var_X9=0; 
   jsp var_Fbin=0; 
   jsp der_var_Fbin=0; 
   jsp var_Tw=0; 
   jsp der_var_Tw=0; 
   jsp var_derX7=0; 
   jsp der_var_derX7=0; 
   jsp var_i_expr=0; 
   jsp var_div0=0; 
   jsp var_i_expr2=0; 
   jsp var_div1=0; 
   jsp var_exp3=0; 
   jsp var_i_expr4=0; 
   jsp var_i_expr6=0; 
   jsp var_i_expr7=0; 
   jsp var_div5=0; 
   jsp var_i_expr9=0; 
   jsp var_div8=0; 
   jsp var_exp10=0; 
   jsp var_i_expr11=0; 
   jsp var_i_expr13=0; 
   jsp var_i_expr14=0; 
   jsp var_div12=0; 
   jsp var_exp15=0; 
   jsp var_i_expr16=0; 
   jsp var_i_expr18=0; 
   jsp var_div17=0; 
   jsp var_exp19=0; 
   jsp var_i_expr20=0; 
   jsp var_i_expr22=0; 
   jsp var_i_expr23=0; 
   jsp var_div21=0; 
   jsp var_exp24=0; 
   jsp var_i_expr25=0; 
   jsp var_i_expr27=0; 
   jsp var_i_expr28=0; 
   jsp var_div26=0; 
   jsp var_exp29=0; 
   jsp var_i_expr30=0; 
   jsp var_i_expr32=0; 
   jsp var_div31=0; 
   jsp var_i_expr34=0; 
   jsp var_i_expr35=0; 
   jsp var_div33=0; 
   jsp var_exp36=0; 
   jsp var_i_expr37=0; 
   jsp var_i_expr39=0; 
   jsp var_i_expr40=0; 
   jsp var_div38=0; 
   jsp var_exp41=0; 
   jsp var_i_expr42=0; 
   jsp var_i_expr44=0; 
   jsp var_div43=0; 
   jsp var_i_expr46=0; 
   jsp var_i_expr47=0; 
   jsp var_div45=0; 
   jsp var_exp48=0; 
   jsp var_i_expr49=0; 
   jsp var_i_expr51=0; 
   jsp var_div50=0; 
   jsp var_i_expr53=0; 
   jsp var_i_expr54=0; 
   jsp var_div52=0; 
   jsp var_exp55=0; 
   jsp var_i_expr56=0; 
   jsp var_i_expr58=0; 
   jsp var_div57=0; 
   jsp var_i_expr60=0; 
   jsp var_i_expr61=0; 
   jsp var_div59=0; 
   jsp var_exp62=0; 
   jsp var_i_expr63=0; 
   jsp var_i_expr65=0; 
   jsp var_i_expr66=0; 
   jsp var_div64=0; 
   jsp var_exp67=0; 
   jsp var_i_expr68=0; 
   jsp var_i_expr70=0; 
   jsp var_i_expr71=0; 
   jsp var_div69=0; 
   jsp var_exp72=0; 
   jsp var_i_expr73=0; 
   jsp var_i_expr75=0; 
   jsp var_div74=0; 
   jsp var_i_expr77=0; 
   jsp var_div76=0; 
   jsp var_exp78=0; 
   jsp var_i_expr79=0; 
   jsp var_i_expr81=0; 
   jsp var_i_expr82=0; 
   jsp var_div80=0; 
   jsp var_exp83=0; 
   jsp var_i_expr84=0; 
   jsp var_i_expr86=0; 
   jsp var_i_expr87=0; 
   jsp var_div85=0; 
   jsp var_exp88=0; 
   jsp var_i_expr89=0; 
   jsp var_i_expr91=0; 
   jsp var_div90=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   var_n_x=9;
   var_Tin=35;
   var_b2=6.6667;
   var_FbinMin=0;
   var_FbinMax=5.784;
   var_TwMin=0.02;
   var_TwMax=0.1;
   par_TwCur=p[0];
   par_FbinCur=p[1];
   par_TMin=p[2];
   par_FinalTime=p[3];
   var_X1=x[0];
   der_var_X1=der_x[0];
   var_X2=x[1];
   der_var_X2=der_x[1];
   var_X3=x[2];
   der_var_X3=der_x[2];
   var_X4=x[3];
   der_var_X4=der_x[3];
   var_X5=x[4];
   der_var_X5=der_x[4];
   var_X6=x[5];
   der_var_X6=der_x[5];
   var_X7=x[6];
   der_var_X7=der_x[6];
   var_X8=x[7];
   der_var_X8=der_x[7];
   var_X9=x[8];
   der_var_X9=der_x[8];
   var_Fbin=x[9];
   der_var_Fbin=der_x[9];
   var_Tw=x[10];
   der_var_Tw=der_x[10];
   var_derX7=x[11];
   der_var_derX7=der_x[11];
   var_i_expr=(1000*var_X8);
   jsp_acs_div(var_Fbin,var_i_expr,var_div0);
   var_i_expr2=(273.15+var_X7);
   jsp_acs_div(var_b2,var_i_expr2,var_div1);
   var_i_expr4=0-1000*var_div1;
   jsp_acs_exp(var_i_expr4,var_exp3);
   yy[i_E]=der_var_X1-(0-par_FinalTime*(var_X1*var_div0+1659900*var_exp3*var_X1*var_X2));
   i_E=i_E+1;
   var_i_expr6=(1-var_X2);
   var_i_expr7=(1000*var_X8);
   jsp_acs_div(var_i_expr6,var_i_expr7,var_div5);
   var_i_expr9=(273.15+var_X7);
   jsp_acs_div(var_b2,var_i_expr9,var_div8);
   var_i_expr11=0-1000*var_div8;
   jsp_acs_exp(var_i_expr11,var_exp10);
   var_i_expr13=8333.299999999999;
   var_i_expr14=(273.15+var_X7);
   jsp_acs_div(var_i_expr13,var_i_expr14,var_div12);
   var_i_expr16=0-var_div12;
   jsp_acs_exp(var_i_expr16,var_exp15);
   yy[i_E]=der_var_X2-(par_FinalTime*(var_Fbin*var_div5-(1659900*var_exp10*var_X1*var_X2+721170000*var_exp15*var_X2*var_X3)));
   i_E=i_E+1;
   var_i_expr18=(273.15+var_X7);
   jsp_acs_div(var_b2,var_i_expr18,var_div17);
   var_i_expr20=0-1000*var_div17;
   jsp_acs_exp(var_i_expr20,var_exp19);
   var_i_expr22=8333.299999999999;
   var_i_expr23=(273.15+var_X7);
   jsp_acs_div(var_i_expr22,var_i_expr23,var_div21);
   var_i_expr25=0-var_div21;
   jsp_acs_exp(var_i_expr25,var_exp24);
   var_i_expr27=11111;
   var_i_expr28=(273.15+var_X7);
   jsp_acs_div(var_i_expr27,var_i_expr28,var_div26);
   var_i_expr30=0-var_div26;
   jsp_acs_exp(var_i_expr30,var_exp29);
   var_i_expr32=(1000*var_X8);
   jsp_acs_div(var_Fbin,var_i_expr32,var_div31);
   yy[i_E]=der_var_X3-(par_FinalTime*(3319800*var_exp19*var_X1*var_X2-1442340000*var_exp24*var_X2*var_X3-2674500000000*var_exp29*var_X3*var_X4-var_X3*var_div31));
   i_E=i_E+1;
   var_i_expr34=8333.299999999999;
   var_i_expr35=(273.15+var_X7);
   jsp_acs_div(var_i_expr34,var_i_expr35,var_div33);
   var_i_expr37=0-var_div33;
   jsp_acs_exp(var_i_expr37,var_exp36);
   var_i_expr39=11111;
   var_i_expr40=(273.15+var_X7);
   jsp_acs_div(var_i_expr39,var_i_expr40,var_div38);
   var_i_expr42=0-var_div38;
   jsp_acs_exp(var_i_expr42,var_exp41);
   var_i_expr44=(1000*var_X8);
   jsp_acs_div(var_Fbin,var_i_expr44,var_div43);
   yy[i_E]=der_var_X4-(par_FinalTime*(721170000*var_exp36*var_X2*var_X3-1337250000000*var_exp41*var_X3*var_X4-var_X4*var_div43));
   i_E=i_E+1;
   var_i_expr46=8333.299999999999;
   var_i_expr47=(273.15+var_X7);
   jsp_acs_div(var_i_expr46,var_i_expr47,var_div45);
   var_i_expr49=0-var_div45;
   jsp_acs_exp(var_i_expr49,var_exp48);
   var_i_expr51=(1000*var_X8);
   jsp_acs_div(var_Fbin,var_i_expr51,var_div50);
   yy[i_E]=der_var_X5-(par_FinalTime*(1442340000*var_exp48*var_X2*var_X3-var_X5*var_div50));
   i_E=i_E+1;
   var_i_expr53=11111;
   var_i_expr54=(273.15+var_X7);
   jsp_acs_div(var_i_expr53,var_i_expr54,var_div52);
   var_i_expr56=0-var_div52;
   jsp_acs_exp(var_i_expr56,var_exp55);
   var_i_expr58=(1000*var_X8);
   jsp_acs_div(var_Fbin,var_i_expr58,var_div57);
   yy[i_E]=der_var_X6-(par_FinalTime*(4011750000000*var_exp55*var_X4*var_X3-var_X6*var_div57));
   i_E=i_E+1;
   yy[i_E]=der_var_X8-(0.001*par_FinalTime*var_Fbin);
   i_E=i_E+1;
   var_i_expr60=8333.299999999999;
   var_i_expr61=(273.15+var_X7);
   jsp_acs_div(var_i_expr60,var_i_expr61,var_div59);
   var_i_expr63=0-var_div59;
   jsp_acs_exp(var_i_expr63,var_exp62);
   var_i_expr65=11111;
   var_i_expr66=(273.15+var_X7);
   jsp_acs_div(var_i_expr65,var_i_expr66,var_div64);
   var_i_expr68=0-var_div64;
   jsp_acs_exp(var_i_expr68,var_exp67);
   var_i_expr70=8333.299999999999;
   var_i_expr71=(273.15+var_X7);
   jsp_acs_div(var_i_expr70,var_i_expr71,var_div69);
   var_i_expr73=0-var_div69;
   jsp_acs_exp(var_i_expr73,var_exp72);
   yy[i_E]=der_var_X9-(par_FinalTime*(0-5554.1*(721170000*var_exp62*var_X2*var_X3-1337250000000*var_exp67*var_X3*var_X4)*var_X8-181605029400*var_exp72*var_X2*var_X3*var_X8));
   i_E=i_E+1;
   var_i_expr75=(1000*var_X8);
   jsp_acs_div(var_Tin,var_i_expr75,var_div74);
   var_i_expr77=(273.15+var_X7);
   jsp_acs_div(var_b2,var_i_expr77,var_div76);
   var_i_expr79=0-1000*var_div76;
   jsp_acs_exp(var_i_expr79,var_exp78);
   var_i_expr81=8333.299999999999;
   var_i_expr82=(273.15+var_X7);
   jsp_acs_div(var_i_expr81,var_i_expr82,var_div80);
   var_i_expr84=0-var_div80;
   jsp_acs_exp(var_i_expr84,var_exp83);
   var_i_expr86=11111;
   var_i_expr87=(273.15+var_X7);
   jsp_acs_div(var_i_expr86,var_i_expr87,var_div85);
   var_i_expr89=0-var_div85;
   jsp_acs_exp(var_i_expr89,var_exp88);
   var_i_expr91=(1000*var_X8);
   jsp_acs_div(var_X7,var_i_expr91,var_div90);
   yy[i_E]=var_derX7-(par_FinalTime*(var_Fbin*var_div74+0.000239005736137667*(437881620000*var_exp78*var_X1*var_X2+114161211000000*var_exp83*var_X2*var_X3+6.0523935e+17*var_exp88*var_X3*var_X4)-0.000243454685774894*(var_X7-1000*var_Tw)-var_Fbin*var_div90));
   i_E=i_E+1;
   yy[i_E]=var_Fbin-(par_FbinCur);
   i_E=i_E+1;
   yy[i_E]=var_Tw-(par_TwCur);
   i_E=i_E+1;
   yy[i_E]=der_var_X7-(var_derX7);
   i_E=i_E+1;
   n_c=i_C;
}
